Skip to main content
GET
/
v5
/
expenses
/
personalCategories
Get personal categories
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/expenses/personalCategories \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "name": "Accounting / Tax",
      "precedence": 123,
      "hasChilds": true,
      "parentCategoryId": 123,
      "status": "ACTIVE",
      "systemGenerated": true,
      "customData": {}
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate